[package]
name = "tor-consdiff"
version = "0.5.0"
authors = ["The Tor Project, Inc.", "Nick Mathewson <nickm@torproject.org>"]
edition = "2021"
rust-version = "1.65"
license = "MIT OR Apache-2.0"
homepage = "https://gitlab.torproject.org/tpo/core/arti/-/wikis/home"
description = "Handle the consensus-diff format used in the Tor directory protocol"
keywords = ["tor", "arti", "diff"]
categories = ["parser-implementations", "network-programming"]
repository = "https://gitlab.torproject.org/tpo/core/arti.git/"

[features]
default = []
full = ["tor-llcrypto/full"]

experimental = ["slow-diff-apply"]
slow-diff-apply = ["__is_experimental"]
__is_experimental = []

[dependencies]
digest = "0.10.0"
hex = "0.4"
thiserror = "1"
tor-llcrypto = { path = "../tor-llcrypto", version = "0.5.0" }
[package.metadata.docs.rs]
all-features = true
rustdoc-args = ["--cfg", "docsrs"]
